#ifndef PLAYER_START_H
#define PLAYER_START_H

#include "baseentity.h"
#include "server.h"


class CPlayerStart: public CBaseEntity 
{
public:
	virtual void Precache ( void ) override;
	virtual void Spawn( void ) override;
	virtual void ReadParameter( const char *szName, const char *szValue ) override;
	virtual void Destroy( void ) override;
	virtual void Think( float fDelta ) override;
	virtual void RoundEnd( void );
	virtual void RoundStart( IIClient *pClient );

	CBasePlayer *pOwningPlayer = NULL;
	bool m_bIsRunning = false;
};

extern CUtlVector<CPlayerStart*> g_PlayerStarts;

#endif
